search cancel

cdm_mcs_template 6.60 to 6.71 migrating error

book

Article ID: 227887

calendar_today

Updated On:

Products

DX Unified Infrastructure Management (Nimsoft / UIM)

Issue/Introduction

Upgrade of cdm_mcs_templates from 6.60 to 6.71 failed because upgrade needs to follow 6.60 > 6.70 > 6.71. Also, some templates initially got updated to 6.71, but failed on others that wanted 6.30-MC to be in the archive. Importing 6.30-MC got 6.71 migration to complete.

 
 
Cannot downgrade template 'CPU Monitor (Enhanced)' from version '6.71.1' to version '6.70.1'
Cannot downgrade template 'Memory Monitor (Enhanced)' from version '6.71.1' to version '6.70.1'
 
Template Disk IO Monitors(1.15) does not have required probe cdm(6.30-MC) in the archive.
Template Disk IO Monitors (Enhanced)(6.70.1) does not have required probe cdm(6.70-MC) in the archive.
Template Iostat(1.16) does not have required probe cdm(6.30-MC) in the archive.
Template Iostat (Enhanced)(6.70.1) does not have required probe cdm(6.70-MC) in the archive.
Template Memory Monitor(2.48) does not have required probe cdm(6.30-MC) in the archive.
Template Memory Monitor (Enhanced)(6.70.1) does not have required probe cdm(6.70-MC) in the archive.
Template NIC Monitor(1.23) does not have required probe cdm(6.30-MC) in the archive.
Template NIC Monitor (Enhanced)(6.70.1) does not have required probe cdm(6.70-MC) in the archive.
Template Setup cdm(1.47) does not have required probe cdm(6.30-MC) in the archive.
Template Setup cdm (Enhanced)(6.70.1) does not have required probe cdm(6.70-MC) in the archive.
Template Shared Disk(s)(1.9) does not have required probe cdm(6.30-MC) in the archive.
.
.
.

Environment

Release : 20.3.3

OC October 2021 Patch

Component : UIM - CDM WITH IOSTAT

cdm_mcs_template 6.71

Resolution

If you check the cdm_mcs_template migration path:

(version 6.71)
Template Migration steps for CDM Probe:
CDM (Enhanced) MCS template 6.70 to CDM (Enhanced) MCS template 6.71.
 
(version 6.70)
Template Migration steps for CDM Probe:
CDM (Enhanced) MCS template 6.60 to CDM (Enhanced) MCS template 6.70.
CDM (Enhanced) MCS template 6.61 (6.60-HF1) to CDM (Enhanced) MCS template 6.70.
 
So, you have to go to 6.60 > 6.70 > 6.71. And, all these three packages needs to be downloaded in the local archive.
 
And, if you have CDM Legacy profiles that are obsolete and uses CDM MC 6.30 version only for deployment - it will always looking for CDM MC 6.30 version in the archive for deployment. Although the Legacy template works correctly with all newer CDM versions, we do not recommend to use as we are not supporting all the Migration path for migrating in Enhanced profile.
 
 
When all the cdm_mcs_template packages 6.30, 6.60, 6.70, 6.71 were downloaded in the local archive, cdm_mcs_template 6.60 > 6.70 > 6.71 was successful.